Loading...
Searching...
No Matches
bridgeif_fdb.c File Reference
`#include "netif/bridgeif.h"`
`#include "lwip/sys.h"`
`#include "lwip/mem.h"`
`#include "lwip/timeouts.h"`
`#include <string.h>`

## Functions

void | bridgeif_fdb_update_src (void *fdb_ptr, struct eth_addr *src_addr, u8_t port_idx)
bridgeif_portmask_t | bridgeif_fdb_get_dst_ports (void *fdb_ptr, struct eth_addr *dst_addr)
void * | bridgeif_fdb_init (u16_t max_fdb_entries)

## Detailed Description

lwIP netif implementing an FDB for IEEE 802.1D MAC Bridge